logging:
  level:
    org.apache.flink.runtime.checkpoint: debug
    org.apache.flink.runtime.source.coordinator.SourceCoordinator: debug
    com.ververica.cdc.connectors.mysql.source.reader.MySqlSourceReader: info

flink:
  cdc:
    mysql:
      hostname: 172.16.0.31
      port: 3306
      databaseList: fs_fhjx_hospital
      tableList:
        - fs_fhjx_hospital.fs_user
        - fs_fhjx_hospital.fs_store_product
        - fs_fhjx_hospital.fs_store_product_attr_value
        - fs_fhjx_hospital.fs_store_product_package
      username: root
      password: Ylrz_1q2w3e4r5t6y
      serverTimeZone: Asia/Shanghai
      startupOptions: initial # 可选值: latest, initial, specificOffset, timestamp
  checkpoint:
    interval: 3000 # 单位：毫秒
  parallelism:
    source: 1
    sink: 1
# 开发环境配置
server:
  # 服务器的HTTP端口，默认为 7011  store 7111
  port: 7015
  servlet:
    # 应用的访问路径
    context-path: /
  tomcat:
    # tomcat的URI编码
    uri-encoding: UTF-8
    # tomcat最大线程数，默认为200
    max-threads: 800
    # Tomcat启动初始化的线程数，默认值25
    min-spare-threads: 30
# Spring配置
spring:
  main:
    web-application-type: none
  # 资源信息
  messages:
    # 国际化资源文件路径
    basename: i18n/messages
  profiles:
    active: dev
    include: config
